For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Transactions
      • POSTCreate Transaction
      • GETGet Transaction
      • PATCHUpdate Transaction
LogoLogo
Contact SupportGet Started
API ReferenceTransactions

List Transactions

GET
/digital-banking/v1/accounts/:account_id/transactions
GET
/digital-banking/v1/accounts/:account_id/transactions
$curl https://api.modernfi.com/digital-banking/v1/accounts/string/transactions \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "string",
4 "account_id": "string",
5 "institution_id": "string",
6 "amount": "string",
7 "transacted_at": "string",
8 "transaction_status": "PENDING",
9 "is_interest_payment": true,
10 "transaction_type": "CREDIT",
11 "description": "string",
12 "posted_at": "string",
13 "institution_transaction_id": "string"
14 }
15]
Retrieves all transactions for the specified account with optional filtering. Filter options: - Date-based filtering: Use start_date, end_date, and timezone together - Datetime-based filtering: Use start_datetime and end_datetime (timezone-aware, e.g., 2026-02-17T00:00:00Z) - Cannot mix date and datetime filters - Filter by transaction_type (CREDIT/DEBIT) and transaction_status (PENDING/POSTED)
Was this page helpful?
Previous

Create Transaction

Next
Built with

Retrieves all transactions for the specified account with optional filtering.

Filter options:

  • Date-based filtering: Use start_date, end_date, and timezone together
  • Datetime-based filtering: Use start_datetime and end_datetime (timezone-aware, e.g., 2026-02-17T00:00:00Z)
  • Cannot mix date and datetime filters
  • Filter by transaction_type (CREDIT/DEBIT) and transaction_status (PENDING/POSTED)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Query parameters

id_typeenum or nullOptional
Type of the account id. Must be 'institution' or 'None'.
Allowed values:
start_datestring or nullOptionalformat: "date"
end_datestring or nullOptionalformat: "date"
start_datetimestring or nullOptionalformat: "date-time"
end_datetimestring or nullOptionalformat: "date-time"
transaction_typeenum or nullOptional
Allowed values:
transaction_statusenum or nullOptional
Allowed values:
pageinteger or nullOptional>=1
page_sizeinteger or nullOptional>=1
timezoneenum or nullOptional

Response

Successful Response
idstring
account_idstring
institution_idstring
amountstring
transacted_atstring
transaction_statusenum
Allowed values:
is_interest_paymentboolean
transaction_typeenum
Allowed values:
descriptionstring or null
posted_atstring or null
institution_transaction_idstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error